Page MenuHomeFreeBSD

editors/emacs: Update to version 26.1
ClosedPublic

Authored by jrm on Apr 11 2018, 3:29 PM.

Details

Summary

Upstream changes:
https://raw.githubusercontent.com/emacs-mirror/emacs/master/etc/NEWS.26

This is the first release candidate for Emacs version 26.1. This is not intended to be committed to the ports tree until the final release, but is to allow for some testing before the final release.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jrm created this revision.Apr 11 2018, 3:29 PM
jrm added a reviewer: ashish.Apr 11 2018, 3:30 PM
ashish requested changes to this revision.Apr 15 2018, 7:59 PM

Hi Joseph,

Thanks for initiating this.

I get build error on 11-amd64:

===========================================================================
====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: libexec/emacs/%%EMACS_VER%%/%%GNU_HOST%%/movemail
===> Error: Plist issues found.
*** Error code 1

Complete log: https://people.freebsd.org/~ashish/logs/emacs-26.1,3-0.log

Thanks!

This revision now requires changes to proceed.Apr 15 2018, 7:59 PM
jrm updated this revision to Diff 41550.EditedApr 16 2018, 8:14 PM

Fix more issues before 26.1 is released

  • fix plist issue with MAILUTILS knob
  • fix issue with GFILE option and exclude that option for the nox flavor
  • conform to PH chapter, 'Order of Variables in Port Makefiles'

TODO: update canna patch

jrm updated this revision to Diff 43013.EditedMay 25 2018, 7:24 PM

More changes to prepare for upcoming 26.1 release

  • Incorporate latest canna patches.
  • Remove workarounds for Bug 227799.
    • Configure now seems fine whether devel/liblockfile is install or not.
  • Customize COMMENT for canna and nox flavors.
  • Remove legacy lldb for gud patch.
    • The patch added very little over running lldb on the command line. Moreover, gud is deprecated. Hopefully the lldb-mi implementation will be completed soon.
jrm updated this revision to Diff 43081.EditedMay 28 2018, 5:35 PM

editors/emacs: Update to version 26.1

TODO: Incorporate Final Canna patch from TAKANO Yuji <takachan@running-dog.net>

NEWS: https://www.gnu.org/software/emacs/news/NEWS.26.1

Port changes:

  • Incorporate latest canna patches submitted by TAKANO Yuji <takachan@running-dog.net>.
  • Remove workarounds for Bug 227799.
    • Configure seems fine whether devel/liblockfile is install or not.
  • Customize COMMENT for canna and nox flavors (reported by tobik).
  • Remove legacy lldb for gud patch.
    • The patch added very little over running lldb on the command line. Moreover, gud is deprecated. Hopefully a lldb-mi will arrive soon.
jrm updated this revision to Diff 43089.May 29 2018, 2:05 AM

Use latest Canna patch

ashish accepted this revision.May 29 2018, 4:54 AM

Thanks, looks good to me.

This revision is now accepted and ready to land.May 29 2018, 4:54 AM

Hey

Just realized that since this update involves a new Emacs release, are you also planning to update Mk/Uses/emacs.mk and PORTREVISION bump all emacs-dependent ports ?

Thanks!

This revision was automatically updated to reflect the committed changes.